CUDNN Frontend API 8.3.0

Functions
ConvDescBuilder_v8

## Functions
auto | cudnn_frontend::ConvDescBuilder_v8::setDataType (cudnnDataType_t data_type_) -> ConvDescBuilder_v8 &
| Set Datatype for the Convolution Operation. More...
auto | cudnn_frontend::ConvDescBuilder_v8::setComputePrecision (cudnnDataType_t data_type_) -> ConvDescBuilder_v8 &
auto | cudnn_frontend::ConvDescBuilder_v8::setPrePadding (int64_t ndims, int64_t const *padding) -> ConvDescBuilder_v8 &
| Set Padding Lower of the convDesc. More...
auto | cudnn_frontend::ConvDescBuilder_v8::setPostPadding (int64_t ndims, int64_t const *padding) -> ConvDescBuilder_v8 &
| Set Padding Upper of the convDesc. More...
auto | cudnn_frontend::ConvDescBuilder_v8::setDilation (int64_t ndims, int64_t const *dilation) -> ConvDescBuilder_v8 &
| Set Dilation of the convDesc. More...
auto | cudnn_frontend::ConvDescBuilder_v8::setStrides (int64_t ndims, int64_t const *strides) -> ConvDescBuilder_v8 &
| Set Strides of the convDesc. More...
auto | cudnn_frontend::ConvDescBuilder_v8::setNDims (int64_t nDims_) -> ConvDescBuilder_v8 &
| Set Num Spatial Dimensions of the convolution Operation. More...
auto | cudnn_frontend::ConvDescBuilder_v8::setMathMode (cudnnConvolutionMode_t mode_) -> ConvDescBuilder_v8 &
| Set Convolution Mode of the convolution Operation. More...

## Detailed Description

Set individual property of ConvDesc_v8 class

## Function Documentation

## ◆ setComputePrecision()

auto cudnn_frontend::ConvDescBuilder_v8::setComputePrecision | ( | cudnnDataType_t | data_type_ | ) | -> ConvDescBuilder_v8 &
| inline

Definition at line 153 of file cudnn_frontend_ConvDesc.h.

## ◆ setDataType()

auto cudnn_frontend::ConvDescBuilder_v8::setDataType | ( | cudnnDataType_t | data_type_ | ) | -> ConvDescBuilder_v8 &
| inline

Set Datatype for the Convolution Operation.

Definition at line 149 of file cudnn_frontend_ConvDesc.h.

## ◆ setDilation()

auto cudnn_frontend::ConvDescBuilder_v8::setDilation | ( | int64_t | ndims,
|  | int64_t const * | dilation
| ) |  | -> ConvDescBuilder_v8 &
| inline

Set Dilation of the convDesc.

Definition at line 171 of file cudnn_frontend_ConvDesc.h.

References cudnn_frontend::ConvDesc_v8::dilation.

## ◆ setMathMode()

auto cudnn_frontend::ConvDescBuilder_v8::setMathMode | ( | cudnnConvolutionMode_t | mode_ | ) | -> ConvDescBuilder_v8 &
| inline

Set Convolution Mode of the convolution Operation.

Definition at line 189 of file cudnn_frontend_ConvDesc.h.

## ◆ setNDims()

auto cudnn_frontend::ConvDescBuilder_v8::setNDims | ( | int64_t | nDims_ | ) | -> ConvDescBuilder_v8 &
| inline

Set Num Spatial Dimensions of the convolution Operation.

Definition at line 183 of file cudnn_frontend_ConvDesc.h.

## ◆ setPostPadding()

auto cudnn_frontend::ConvDescBuilder_v8::setPostPadding | ( | int64_t | ndims,
|  | int64_t const * | padding
| ) |  | -> ConvDescBuilder_v8 &
| inline

Set Padding Upper of the convDesc.

Definition at line 165 of file cudnn_frontend_ConvDesc.h.

## ◆ setPrePadding()

auto cudnn_frontend::ConvDescBuilder_v8::setPrePadding | ( | int64_t | ndims,
|  | int64_t const * | padding
| ) |  | -> ConvDescBuilder_v8 &
| inline

Set Padding Lower of the convDesc.

Definition at line 159 of file cudnn_frontend_ConvDesc.h.

## ◆ setStrides()

auto cudnn_frontend::ConvDescBuilder_v8::setStrides | ( | int64_t | ndims,
|  | int64_t const * | strides
| ) |  | -> ConvDescBuilder_v8 &
| inline

Set Strides of the convDesc.

Definition at line 177 of file cudnn_frontend_ConvDesc.h.